summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Huettel <andreas.huettel@ur.de>2016-12-12 20:52:56 +0100
committerAndreas K. Hüttel <dilfridge@gentoo.org>2016-12-12 23:46:06 +0100
commit6a08b53653269db25bf447f1614dd4c1d56a1eb4 (patch)
tree8a3d763bba062dfbf7cd448546ad942e99eeb7e0 /sci-visualization/spyview
parentapp-mobilephone/gnokii: Update live ebuild (diff)
downloadgentoo-6a08b53653269db25bf447f1614dd4c1d56a1eb4.tar.gz
gentoo-6a08b53653269db25bf447f1614dd4c1d56a1eb4.tar.bz2
gentoo-6a08b53653269db25bf447f1614dd4c1d56a1eb4.zip
sci-visualization/spyview: Version bump without keywords (doesnt build yet)
Diffstat (limited to 'sci-visualization/spyview')
-rw-r--r--sci-visualization/spyview/Manifest1
-rw-r--r--sci-visualization/spyview/spyview-20150124.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/sci-visualization/spyview/Manifest b/sci-visualization/spyview/Manifest
index 874ee488567..5745a239b74 100644
--- a/sci-visualization/spyview/Manifest
+++ b/sci-visualization/spyview/Manifest
@@ -1,2 +1,3 @@
DIST spyview-20111018.tar.gz 3721357 SHA256 aad98c243e4455cbb4c82af6aeb374b50d9483cf25945ba571cb59b3d7c71a41 SHA512 6191068a431486692918029a0350275500d46993252ac29678f470e0a4c89ab0e57feb438241b8159dd6aa6583eb4d4d3d970553abae515ce5b8c1dc49deabb6 WHIRLPOOL c6c0bec9301fd89cb8f00198f403d36da4ed93b2ad8e09ad0456e2533e8b4a46dc2ae8565664be8f71d3ed75dc8b86d2c172b0511d02b0ec49a02dd42be22168
DIST spyview-20130823.tgz 3279013 SHA256 1927278ed31ab3b1a15d6294f73ae55de71f97165b1787e5abd7e323272d4ea1 SHA512 c25b3955e32000c0477091aad465d18c0c1aa4bcd00f8f9aee3454cdbdf98d8bbfa4e072a860d37836710dd6cd859deba1a764c8453526602317eda1b3ce0435 WHIRLPOOL f1aefa797571aaba8cc95c3925eb0f6bafe1568f2952eb9c7b98e8c544242305ce9d963524610536bd1d0d9df9b16f2f8b0356e001561be68f4d4e61d891fc42
+DIST spyview-20150124.tgz 14772947 SHA256 11c3b658e0f957403360fdfc99e387e3b2c52af3a70cf5b2d0a5fbadd2a0af34 SHA512 63c58c7729ceab9e1bfbb14b5d257a1d4ca51e43f7b014caffc8adf66767c17b47794b34cfc2f754c2905ff926302d66d438a582fe359a6c8d3e04b072993f5b WHIRLPOOL daea9a31eec83c945032bcc85f29c957633e0ec5270c95e2f88a6ca0a2ed46f8e178ff7519fafc6e0dec9cefed5b4fe2385443563a1dcb5733916775dc747ea2
diff --git a/sci-visualization/spyview/spyview-20150124.ebuild b/sci-visualization/spyview/spyview-20150124.ebuild
new file mode 100644
index 00000000000..fd110c3518e
--- /dev/null
+++ b/sci-visualization/spyview/spyview-20150124.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools flag-o-matic eutils multilib
+
+DESCRIPTION="2D and 3D data visualization and analysis program"
+HOMEPAGE="http://nsweb.tn.tudelft.nl/~gsteele/spyview/"
+SRC_URI="https://github.com/gsteele13/spyview/archive/966012afae2fbb77262bd96a7e530e81b0ed3b90.tar.gz -> $P.tgz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="" # no keywords since it doesnt build yet...
+IUSE=""
+
+COMMON_DEPEND="
+ dev-libs/boost:=
+ media-libs/netpbm
+ x11-libs/fltk:1[opengl]
+ app-text/ghostscript-gpl
+ virtual/glu
+"
+
+DEPEND="${COMMON_DEPEND}
+ sys-apps/groff"
+
+RDEPEND="${COMMON_DEPEND}
+ sci-visualization/gnuplot"
+
+src_unpack() {
+ default
+ mv -v "${WORKDIR}"/spyview-*/source "${S}" || die
+}
+
+src_prepare() {
+ append-cflags $(fltk-config --cflags)
+ append-cxxflags $(fltk-config --cxxflags) -I/usr/include/netpbm
+
+ # append-ldflags $(fltk-config --ldflags)
+ # this one leads to an insane amount of warnings
+ append-ldflags -L$(dirname $(fltk-config --libs))
+
+ find "${S}" -name Makefile.am -exec sed -i -e 's:-mwindows -mconsole::g' {} + || die
+
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf --datadir=/usr/share/spyview --docdir=/usr/share/doc/${PF}
+}